diff --git a/app/Makefile b/app/Makefile
index 387d08b..ee57bfe 100644
--- a/app/Makefile
+++ b/app/Makefile
@@ -95,7 +95,7 @@ else
 MYLIBS     += -lpktgen_lua $(shell pkg-config --libs-only-l lua5.3)
 MYLIB_PATH += -L$(LUA_LIB) $(shell pkg-config --libs-only-L lua5.3)
 
-CFLAGS     += -I/usr/include/lua5.3
+CFLAGS     += $(shell pkg-config --cflags lua5.3)
 CFLAGS     += -I$(RTE_SRCDIR)/../lib/lua/
 LUA_DEP    := $(LUA_LIB)/$(LUA_NAME)
 endif
diff --git a/lib/lua/Makefile b/lib/lua/Makefile
index 95cd5eb..da244f0 100644
--- a/lib/lua/Makefile
+++ b/lib/lua/Makefile
@@ -40,7 +40,7 @@ ifeq ($(CONFIG_RTE_LIBRTE_LUA),y)
 else
 CFLAGS += $(shell pkg-config --cflags lua5.3)
 CFLAGS += -I$(SRCDIR)/../lua/$(RTE_TARGET)/include
-LDLIBS += -L$(SRCDIR)/../lua/$(RTE_TARGET)/lib -llua
+LDLIBS += -L$(SRCDIR)/../lua/$(RTE_TARGET)/lib $(shell pkg-config --libs lua5.3)
 endif
 
 ifeq ($(CONFIG_RTE_LIBRTE_UTILS),y)
